body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

main {
    width: var(--all-width);
    flex: 1;
    margin: 0 auto;
}

main img {
    position: absolute;
    height: 100%;
    top: 0;
}

.backtohome {
    color: #fff;
    background: #48007a;
    padding: 10px 30px 10px 60px;
    position: relative;
    font-size: 20px;
    border-radius: 30px;
    font-weight: 700;
}

.backtohome::before {
    content: '';
    background-image: url(../images/backtohome.svg);
    background-repeat: no-repeat;
    position: absolute;
    top: 50%;
    left: 16%;
    width: 20px;
    height: 20px;
    transform: translate(0, -50%);
}

.backtohome::after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #fff4;
    transition: .5s;
    transform: scale(0);
    border-radius: 30px;
}

.backtohome:hover::after {
    transform: scale(1);
}

.game-box {
    margin-top: 4%;
    background-color: #fff;
    border-radius: 10px;
    padding: 15px;
}

.game {
    height: var(--game-height);
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 20px;
}

.game .bg {
    position: absolute;
    z-index: 0;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

.game .bg img {
    filter: blur(5px);
}

.game .img-box {
    width: 15%;
    border-radius: 50%;
    overflow: hidden;
    border: 4px solid #fff;
}

.game .img-box::before {
    padding-top: 100%;
}

.game a {
    z-index: 2;
    font-size: 18px;
    color: #000;
    background-color: #fff;
    padding: 8px 20px;
}

.game-txt {
    padding: 20px 8px;
    display: flex;
    flex-direction: column;
    row-gap: 20px;
}

.type span {
    color: #48007a;
    background-color: #48007a1a;
    font-family: "";
    padding: 3px 5px;
    text-transform: uppercase;
}

.game-txt>span:nth-child(2) {
    color: #48007a;
    font-size: 28px;
    font-weight: 700;
}

.game-txt>span:nth-child(3) {
    font-size: 18px;
}

.recom-games {
    margin-top: 3%;
}

.recom-games h3 {
    font-size: 22px;
    color: #48007a;
    font-weight: 700;
    margin-bottom: 2%;
}

.recom-big-box {
    display: flex;
    flex-wrap: wrap;
}

.img-box {
    position: relative;
}

.img-box::before {
    content: '';
    display: block;
    padding-top: 50%;
}

.recom-box {
    border-radius: 10px;
    overflow: hidden;
    background-color: #fff;
}

.text-box {
    padding: 10px;
    display: flex;
    flex-direction: column;
    row-gap: 15px;
    color: #48007a;
}

.text-box .type {
    font-size: 12px;
    font-weight: 700;
}

.text-box>span {
    font-weight: 700;
    font-size: 20px;
}

@media (min-width:800px) {
    .recom-box {
        width: calc((100% - 6%)/4);
        margin-right: 2%;
        margin-bottom: 2%;
    }

    .recom-box:nth-of-type(4n) {
        margin-right: 0;
    }
}

@media (max-width:799px) {
    .backtohome {
        padding: 4px 15px 4px 30px;
    }

    .backtohome::before {
        width: 15px;
        height: 15px;
        left: 10%;
    }

    .game-box {
        padding: 8px;
    }

    .recom-games h3 {
        font-size: 18px;
    }

    .recom-box {
        width: calc((100% - 2%)/2);
        margin-right: 2%;
        margin-bottom: 2%;
    }

    .recom-box:nth-of-type(2n) {
        margin-right: 0;
    }

    .game .img-box {
        width: 50%;
    }
}